POST /api/v3/bill/delete

Deletes one or more bills by their IDs

BillActionDeleteV3 Permissions: BillsAndBatches (Delete)
Use this endpoint to permanently delete bills. Returns a result indicating which bills were deleted and which failed (e.g., due to permission restrictions on exported or approved bills).

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

BillActionDelete
Property Description Type
ids List of bill IDs to delete. Must contain at least one ID. Cannot be Empty integer[]
Example Request Body application/json
{  "ids": [
    1
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BillDeleteActionResult
Property Description Type
deleted integer (int32)
selected integer (int32)
Example Response application/json
{  "deleted": 1,  "selected": 1
}